curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.request(
"GET",
"{make}/charge"
)
const charge = await vehicle.request(
"GET",
"{make}/charge"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge")
.build();
VehicleResponse charge = vehicle.request(request);
charge = vehicle.request(
"GET",
"{make}/charge"
)
{
"amperage": 0,
"completionTime": null,
"wattage": 0,
"voltage": 1,
"isPluggedIn": false,
"state": "NOT_CHARGING",
"socLimit": 0.8,
"amperageMaxVehicle": 48,
"socLimitMax": 1,
"socLimitMin": 0.5,
"socLimitDefault": 0.8,
"amperageRequested": 48,
"energyAdded": 11.52,
"rangeAddedRated": 70.811,
"rangeAddedIdeal": 70.811,
"chargeRate": 0,
"connector": "<invalid>",
"fastChargerPresent": false,
"fastChargerType": "<invalid>",
"fastChargerBrand": "<invalid>",
"amperageMaxCharger": 48,
"chargePortColor": "<invalid>",
"chargePortOpen": false,
"chargePortLatch": "Engaged",
"chargerPhases": null
}
Tesla
Tesla: Charge Status
Returns all charging related data for a Tesla vehicle.
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
charge
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.request(
"GET",
"{make}/charge"
)
const charge = await vehicle.request(
"GET",
"{make}/charge"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge")
.build();
VehicleResponse charge = vehicle.request(request);
charge = vehicle.request(
"GET",
"{make}/charge"
)
{
"amperage": 0,
"completionTime": null,
"wattage": 0,
"voltage": 1,
"isPluggedIn": false,
"state": "NOT_CHARGING",
"socLimit": 0.8,
"amperageMaxVehicle": 48,
"socLimitMax": 1,
"socLimitMin": 0.5,
"socLimitDefault": 0.8,
"amperageRequested": 48,
"energyAdded": 11.52,
"rangeAddedRated": 70.811,
"rangeAddedIdeal": 70.811,
"chargeRate": 0,
"connector": "<invalid>",
"fastChargerPresent": false,
"fastChargerType": "<invalid>",
"fastChargerBrand": "<invalid>",
"amperageMaxCharger": 48,
"chargePortColor": "<invalid>",
"chargePortOpen": false,
"chargePortLatch": "Engaged",
"chargerPhases": null
}
This endpoint is currently available for
teslaThe following fields are not supported for streaming vehicles:
- TeslaChargeRangeAddedRated
- TeslaChargeRangeAddedIdeal
- TeslaChargeChargeRate
- TeslaChargeAmperageMaxCharger
- TeslaChargeChargePortColor
Permission
read_charge
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.request(
"GET",
"{make}/charge"
)
const charge = await vehicle.request(
"GET",
"{make}/charge"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge")
.build();
VehicleResponse charge = vehicle.request(request);
charge = vehicle.request(
"GET",
"{make}/charge"
)
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
Response
number | null
The rate that the vehicle is charging at (in amperes).
string | null
An ISO8601 formatted datetime (YYYY-MM-DDTHH:mm:ss.SSSZ) for the time at which the vehicle expects to complete this charging session.
number | null
The instant power measured by the vehicle (in kilowatts).
bool | null
Indicates if the vehicle is plugged in
string | null
Indicates the charging status of the vehicle
number | null
Indicates the level at which the vehicle will stop charging and be considered fully charged as a percentage.
number | null
Indicates the max amperage the vehicle can request from the charger.
number | null
Indicates the max SoC limit that can be set.
number | null
Indicates the min SoC limit that can be set.
number | null
Indicates the default SoC limit of the vehicle.
number | null
Indicates the amperage requested from the charger by the vehicle.
number | null
Energy added in the current charging session or most recent session if the vehicle is not charging (in kilowatts).
number | null
The rated range as determined by Tesla added in the current charging session or most recent session if the vehicle is not charging (in kilometers added).
number | null
The ideal range as determined by Tesla added in the current charging session or most recent session if the vehicle is not charging (in kilometers added).
number | null
The rate of range added in the charging session (in kilometers added / hour).
string | null
Standard of the connector e.g. SAE
bool | null
When charging, indicates if the vehicle connected to a fast charger.
string | null
Indicates the type of fast charger.
string | null
Indicates the brand of fast charger.
number | null
Indicates the max amperage supported by the charger.
string | null
The indicator light color of the connector.
bool | null
Indicates if th charge port door is open.
string | null
Indicates if the charge port latch status.
number | null
Indicates the charging phase.
{
"amperage": 0,
"completionTime": null,
"wattage": 0,
"voltage": 1,
"isPluggedIn": false,
"state": "NOT_CHARGING",
"socLimit": 0.8,
"amperageMaxVehicle": 48,
"socLimitMax": 1,
"socLimitMin": 0.5,
"socLimitDefault": 0.8,
"amperageRequested": 48,
"energyAdded": 11.52,
"rangeAddedRated": 70.811,
"rangeAddedIdeal": 70.811,
"chargeRate": 0,
"connector": "<invalid>",
"fastChargerPresent": false,
"fastChargerType": "<invalid>",
"fastChargerBrand": "<invalid>",
"amperageMaxCharger": 48,
"chargePortColor": "<invalid>",
"chargePortOpen": false,
"chargePortLatch": "Engaged",
"chargerPhases": null
}
Was this page helpful?

